coap_subscription_t Struct Reference
Observe Subscription (Internal)

Subscriber information. More...

`#include <coap_subscribe_internal.h>`

Collaboration diagram for coap_subscription_t:
[legend]

## Data Fields

struct coap_subscription_t * | next
| next element in linked list More...
struct coap_session_t * | session
| subscriber session More...
unsigned int | non_cnt:4
| up to 15 non-confirmable notifies allowed More...
unsigned int | fail_cnt:2
| up to 3 confirmable notifies can fail More...
unsigned int | dirty:1
| set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too) More...
coap_cache_key_t * | cache_key
coap_pdu_t * | pdu
| cache_key to identify requester More...

## Detailed Description

Subscriber information.

Definition at line 47 of file coap_subscribe_internal.h.

## Field Documentation

## cache_key

coap_cache_key_t* coap_subscription_t::cache_key

Definition at line 56 of file coap_subscribe_internal.h.

## dirty

unsigned int coap_subscription_t::dirty

set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too)

Definition at line 53 of file coap_subscribe_internal.h.

## fail_cnt

unsigned int coap_subscription_t::fail_cnt

up to 3 confirmable notifies can fail

Definition at line 52 of file coap_subscribe_internal.h.

## next

struct coap_subscription_t* coap_subscription_t::next

next element in linked list

Definition at line 48 of file coap_subscribe_internal.h.

## non_cnt

unsigned int coap_subscription_t::non_cnt

up to 15 non-confirmable notifies allowed

Definition at line 51 of file coap_subscribe_internal.h.

## pdu

coap_pdu_t* coap_subscription_t::pdu

cache_key to identify requester

PDU to use for additional requests

Definition at line 57 of file coap_subscribe_internal.h.

## session

struct coap_session_t* coap_subscription_t::session

subscriber session

Definition at line 49 of file coap_subscribe_internal.h.

The documentation for this struct was generated from the following file:

- coap_subscribe_internal.h